/*
 * SerializedNodesImpl.java
 *
 * Created on November 18, 2005, 5:57 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.outer_planes.jso;

import org.jabberstudio.jso.SerializedNodes;
import org.jabberstudio.jso.StreamDataFactory;
import org.jabberstudio.jso.StreamElement;
import org.jabberstudio.jso.StreamObject;
import org.jabberstudio.jso.StreamObjectVisitor;

import java.util.List;

/**
 *
 * @author root
 */
public class SerializedNodesImpl extends AbstractNode 
                                            implements SerializedNodes {
    private String _val;
    //Constructors
    public SerializedNodesImpl(StreamDataFactory sdf, String val) {
        this (null, sdf, val);
    }
    
    public SerializedNodesImpl(StreamElement parent, StreamDataFactory sdf, 
                                                                String val) {
        super(sdf);
        if(null == val) {
            _val = "";
        } else {
            _val = val;
        }
    }
    
    /** <p>
     * Sets the parent <code>StreamElement</code> for this
     * <code>StreamNode</code>.</p>
     *
     * @param p the <code>StreamElement</code> parent.
     */
    public void setParent(StreamElement p) {
        
    }
    
    /** <p>
     * Retrieves the parent <code>StreamElement</code> for this
     * <code>StreamNode</code>.</p>
     *
     * <p>
     * The value returned by this method may be <code>null</code>, if the
     * parent has not yet been defined.</p>
     *
     * @return The <code>StreamElement</code> parent.
     */
    public StreamElement getParent() {
        return null;
    }
    /**
     * <p>
     * Retreives the String value for this <code>SerializedNodes</code>.</p>
     *
     * <p>
     * The value returned by this method is never <code>null</code>.</p>
     *
     * @return the String for this <code>SerializedNodes</code>.
     * @since   JSO-0.2
     */
    public String getValue() {
        return _val;
    }
    
    /** <p>
     * Lists the <code>StreamNode</code> objects that are contained by this
     * <code>StreamNode</code>.  This list may or may not be modifiable.</p>
     *
     * <p>
     * The value returned by this method is never <code>null</code>.</p>
     *
     * @return The list of contained <code>StreamNode</code> objects.
     */
    public List listNodes() {
        return java.util.Collections.EMPTY_LIST;
    }

    /** <p>
     * Creates an "almost-exact" duplicate of this <code>StreamNode</code>,
     * using the given parent <code>StreamElement</code>.  By "almost-exact",
     * all information for this <code>StreamNode</code>, and its contained
     * objects (obtained via <code>{@link #listNodes}</code>) are duplicated.
     * The parent for this <code>StreamNode</code> is one specified by
     * <code>p</code>, rather than thatreferenced by this
     * <code>StreamNode</code>.</p>
     *
     * <p>
     * The value of <code>p</code> may be <code>null</code>, in which case no
     * parent is attached to the newly created <code>StreamNode</code>.</p>
     *
     * @return the "almost-exact" duplicate of this <code>StreamNode</code>.
     */
    public StreamObject copy(StreamElement p) {
        return this;
    }
    
    /**
     * <p>
     * Compares this <code>TextNode</code> to the given object.  This
     * comparison determines if this <code>cmp</code> to this instance of
     * <code>TextNode</code>.</p>
     *
     * @return <code>true</code> if <code>cmp</code> refers to this
     * <code>TextNode</code>.
     */
    public boolean equals(Object cmp) {
        return this == cmp;
    }

    /**
     * <p>
     * Returns a string representation of this <code>TextNode</code>.  This
     * method returns the same results as <code>{@link #getValue}</code>.</p>
     *
     * @return The string representing this <code>TextNode</code>.
     */
    public String toString() {
        return getValue();
    }
    
    /** <p>
     * Accepts a <code>StreamNodeVisitor</code> for processing.  This is the
     * "accepting" method implementing the <b><i>Visitor</i></b> design
     * pattern.</p>
     *
     * @param v The <code>StreamNodeVisitor</code> to accept.
     */
    public void accept(StreamObjectVisitor v) {
        v.visit(this);
    }
}
