/*
 * SASLAuthPacketNode.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.outer_planes.jso.sasl;

import org.jabberstudio.jso.NSI;
import org.jabberstudio.jso.StreamDataFactory;
import org.jabberstudio.jso.StreamElement;
import org.jabberstudio.jso.StreamObject;
import org.jabberstudio.jso.sasl.SASLAuthPacket;
import org.jabberstudio.jso.util.Utilities;


/**
 *
 * @author  linuxwolf
 * @version $VERSION$
 * @since   JSO-0.12
 */
public class SASLAuthPacketNode extends SASLPacketNode implements SASLAuthPacket {
    //"Constants"
    public static final NSI     ATTR_MECH   = new NSI("mechanism", null);
    
    //Constructors
    public SASLAuthPacketNode(StreamDataFactory sdf) {
        super(sdf, NAME);
    }
    protected SASLAuthPacketNode(StreamElement parent, SASLAuthPacketNode base) {
        super(parent, base);
    }

    //Methods
    public String getMechanismName() {
        String      mech = getAttributeValue(ATTR_MECH);
        
        return ((mech != null) ? mech : "");
    }
    public void setMechanismName(String name) {
        setAttributeValue(ATTR_MECH, Utilities.isValidString(name) ? name : null);
    }
    
    public StreamObject copy(StreamElement parent) {
        return new SASLAuthPacketNode(parent, this);
    }
}