/*
 * SessionQueryNode.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.outer_planes.jso.x.core;


import org.jabberstudio.jso.StreamDataFactory;
import org.jabberstudio.jso.StreamElement;
import org.jabberstudio.jso.StreamObject;
import org.jabberstudio.jso.x.core.SessionQuery;

import net.outer_planes.jso.ExtensionNode;

/**
 *
 * @author  linuxwolf
 * @version $VERSION$
 * @since   JSO-0.12
 */
public class SessionQueryNode extends ExtensionNode implements SessionQuery {
    //Constructors
    public SessionQueryNode(StreamDataFactory sdf) {
        super(sdf, NAME);
    }
    protected SessionQueryNode(StreamElement parent, SessionQueryNode base) {
        super(parent, base);
    }
    
    //Methods
    public StreamObject copy(StreamElement parent) {
        return new SessionQueryNode(parent, this);
    }
}