/*
 * SINodeFactory.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.outer_planes.jso.x.si;


import java.util.Set;

import org.jabberstudio.jso.NSI;
import org.jabberstudio.jso.StreamElement;
import org.jabberstudio.jso.x.si.SIProfile;

import net.outer_planes.jso.AbstractElement;
import net.outer_planes.jso.AbstractElementFactory;

/**
 *
 * @author  linuxwolf
 * @version $VERSION$
 * @since   JSO-0.12
 */
public class SINodeFactory extends AbstractElementFactory {
    //Fields
    private UnknownProfile      _DefaultProfile = new UnknownProfile(null, new NSI("profile", ""));
    
    //Constructors
    public SINodeFactory() {
        super(NSI.STRICT_COMPARATOR);
    }
    
    //Methods
    protected void registerSupportedElements() throws IllegalArgumentException {
        putSupportedElement(new SIQueryNode(null));
    }
    
    public Set getSupportedElements() {
        Set     supported = new java.util.TreeSet(getComparator());
        
        supported.add(new NSI(null, null));
        supported.addAll(super.getSupportedElements());
        
        return supported;
    }
    
    protected AbstractElement getSupportedElement(NSI name, Class iface) throws IllegalArgumentException, IllegalStateException {
        AbstractElement     elem = super.getSupportedElement(name, iface);
        
        if (elem == null) {
            if ((iface != null) && SIProfile.class.isAssignableFrom(iface))
                elem = getDefaultProfile();
        }

        return elem;
    }
    
    protected UnknownProfile getDefaultProfile() {
        return _DefaultProfile;
    }
}