/*
 * ProhibitedException.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */


package org.jabberstudio.jso.util.stringprep;

/**
 * <p>
 * Exception for prohibited characters found in a string. The {@link
 * StringprepProfile#prepare} method throws this exception if one or more
 * prohibited characters are found in the string to prepare.</p>
 *
 * @author  linuxwolf
 * @version $VERSION$
 * @since   JSO-0.12.3
 */
public class ProhibitedException extends StringprepException {
    //Constructors
    /**
     * <p>
     * Creates a new <tt>ProhibitedException</tt> with no message.</p>
     *
     * @since   JSO-0.12.3
     */
    public ProhibitedException() {
        super();
    }
    /**
     * <p>
     * Creates a new <tt>ProhibitedException</tt> with the given message.</p>
     *
     * @param   msg The message for this <tt>ProhibitedException</tt>.
     * @since   JSO-0.12.3
     */
    public ProhibitedException(String msg) {
        super(msg);
    }
}