/*
 * AuthStreamFeature.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package org.jabberstudio.jso.x.core;


import org.jabberstudio.jso.NSI;
import org.jabberstudio.jso.StreamFeature;

/**
 * <p>
 * Interface representing a non-SASL authentication stream feature.</p>
 *
 * @author  linuxwolf
 * @version $VERSION$
 * @since   JSO-0.12
 */
public interface AuthStreamFeature extends StreamFeature {
    //"Constants"
    /** Namespace URI for <tt>AuthStreamFeature</tt>
     * (http://jabber.org/features/iq-auth).
     *
     * @since   JSO-0.12
     */
    public static final String  NAMESPACE   = "http://jabber.org/features/iq-auth";
    /** Qualified name for <tt>AuthStreamFeature</tt>
     * ({http://jabber.org/features/iq-auth}auth).
     *
     * @since   JSO-0.12
     */
    public static final NSI     NAME        = new NSI("auth", NAMESPACE);
}