/*
 * XDataReported.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package org.jabberstudio.jso.x.xdata;


import org.jabberstudio.jso.NSI;

/**
 * <p>
 * Interface for representing the tabular columns in a form. This interface maps
 * to the &lt;reported/&gt; element in JEP-0004.</p>
 *
 * @author  linuxwolf
 * @version $VERSION$
 * @since   JSO-0.12
 * @see <a href="http://www.jabber.org/jeps/jep-0004.html">JEP-0004</a>
 */
public interface XDataReported extends XDataFieldContainer {
    //"Constants"
    /**
     * The qualified name for <tt>XDataReported</tt> ({jabber:x:data}reported).
     *
     * @since   JSO-0.12
     */
    public static final NSI         NAME = new NSI("reported", XDataForm.NAMESPACE);
}